Package fr.gouv.vitam.common.model.configuration

# Class PublicConfiguration

java.lang.Object
fr.gouv.vitam.common.model.configuration.PublicConfiguration

public class PublicConfiguration extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PublicConfiguration()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getAdminTenant()`
  `ClassificationLevel`
  `getClassificationLevel()`
  `long`
  `getComputedInheritedRulesThreshold()`
  `long`
  `getDistributionThreshold()`
  `long`
  `getEliminationActionThreshold()`
  `long`
  `getEliminationAnalysisThreshold()`
  `Map<Integer,List<String>>`
  `getExternalReferentialIdentifiersByTenant()`
  `List<Integer>`
  `getIndexInheritedRulesWithAPIV2OutputByTenant()`
  `List<Integer>`
  `getIndexInheritedRulesWithRulesIdByTenant()`
  `List<Integer>`
  `getTenants()`
  `Map<Integer,List<String>>`
  `getVirtualPathsConfigurationByTenant()`
  `PublicConfiguration`
  `setAdminTenant(int adminTenant)`
  `PublicConfiguration`
  `setClassificationLevel(ClassificationLevel classificationLevel)`
  `PublicConfiguration`
  `setComputedInheritedRulesThreshold(long computedInheritedRulesThreshold)`
  `PublicConfiguration`
  `setDistributionThreshold(long distributionThreshold)`
  `PublicConfiguration`
  `setEliminationActionThreshold(long eliminationActionThreshold)`
  `PublicConfiguration`
  `setEliminationAnalysisThreshold(long eliminationAnalysisThreshold)`
  `PublicConfiguration`
  `setExternalReferentialIdentifiersByTenant(Map<Integer,List<String>> externalReferentialIdentifiersByTenant)`
  `PublicConfiguration`
  `setIndexInheritedRulesWithAPIV2OutputByTenant(List<Integer> indexInheritedRulesWithAPIV2OutputByTenant)`
  `PublicConfiguration`
  `setIndexInheritedRulesWithRulesIdByTenant(List<Integer> indexInheritedRulesWithRulesIdByTenant)`
  `PublicConfiguration`
  `setTenants(List<Integer> tenants)`
  `PublicConfiguration`
  `setVirtualPathsConfigurationByTenant(Map<Integer,List<String>> virtualPathsConfigurationByTenant)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PublicConfiguration

    public PublicConfiguration()

- ## Method Details

  - ### getTenants

    public List<Integer> getTenants()

  - ### setTenants

    public PublicConfiguration setTenants(List<Integer> tenants)

  - ### getAdminTenant

    public int getAdminTenant()

  - ### setAdminTenant

    public PublicConfiguration setAdminTenant(int adminTenant)

  - ### getIndexInheritedRulesWithAPIV2OutputByTenant

    public List<Integer> getIndexInheritedRulesWithAPIV2OutputByTenant()

  - ### setIndexInheritedRulesWithAPIV2OutputByTenant

    public PublicConfiguration setIndexInheritedRulesWithAPIV2OutputByTenant(List<Integer> indexInheritedRulesWithAPIV2OutputByTenant)

  - ### getIndexInheritedRulesWithRulesIdByTenant

    public List<Integer> getIndexInheritedRulesWithRulesIdByTenant()

  - ### setIndexInheritedRulesWithRulesIdByTenant

    public PublicConfiguration setIndexInheritedRulesWithRulesIdByTenant(List<Integer> indexInheritedRulesWithRulesIdByTenant)

  - ### getExternalReferentialIdentifiersByTenant

    public Map<Integer,List<String>> getExternalReferentialIdentifiersByTenant()

  - ### setExternalReferentialIdentifiersByTenant

    public PublicConfiguration setExternalReferentialIdentifiersByTenant(Map<Integer,List<String>> externalReferentialIdentifiersByTenant)

  - ### getDistributionThreshold

    public long getDistributionThreshold()

  - ### setDistributionThreshold

    public PublicConfiguration setDistributionThreshold(long distributionThreshold)

  - ### getEliminationAnalysisThreshold

    public long getEliminationAnalysisThreshold()

  - ### setEliminationAnalysisThreshold

    public PublicConfiguration setEliminationAnalysisThreshold(long eliminationAnalysisThreshold)

  - ### getEliminationActionThreshold

    public long getEliminationActionThreshold()

  - ### setEliminationActionThreshold

    public PublicConfiguration setEliminationActionThreshold(long eliminationActionThreshold)

  - ### getComputedInheritedRulesThreshold

    public long getComputedInheritedRulesThreshold()

  - ### setComputedInheritedRulesThreshold

    public PublicConfiguration setComputedInheritedRulesThreshold(long computedInheritedRulesThreshold)

  - ### getClassificationLevel

    public ClassificationLevel getClassificationLevel()

  - ### setClassificationLevel

    public PublicConfiguration setClassificationLevel(ClassificationLevel classificationLevel)

  - ### getVirtualPathsConfigurationByTenant

    public Map<Integer,List<String>> getVirtualPathsConfigurationByTenant()

  - ### setVirtualPathsConfigurationByTenant

    public PublicConfiguration setVirtualPathsConfigurationByTenant(Map<Integer,List<String>> virtualPathsConfigurationByTenant)